Bug 553277 - regression in selinux-policy-2.4.6-255.el5_4.3 breaks postfix /usr/sbin/sendmail interface
regression in selinux-policy-2.4.6-255.el5_4.3 breaks postfix /usr/sbin/sendm...
Status: CLOSED DUPLICATE of bug 553492
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.4.z
All Linux
low Severity high
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-07 10:07 EST by Tuomo Soini
Modified: 2010-01-09 08:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-09 08:50:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2010-01-07 10:07:28 EST
Description of problem:

selinux-policy-2.4.6-255.el5_4.3 breaks postfix /usr/sbin/sendmail interface

Version-Release number of selected component (if applicable):

2.4.6-255.el5_4.3

How reproducible:

Always

Steps to Reproduce:
1. update selinux-policy to 2.4.6-255.el5_4.3
2. try to send mail via /usr/sbin/sendmail (postfix)
3. Mail send doesn't work.
  
Additional info:

Reverting this change fixes problem:

--- serefpolicy-2.4.6.old/policy/modules/services/postfix.te    2010-01-07 16:16:14.000000000 +0200
+++ serefpolicy-2.4.6.new/policy/modules/services/postfix.te    2010-01-07 16:16:59.000000000 +0200
@@ -548,7 +548,7 @@
 ')
 
 optional_policy(`
-       sendmail_rw_unix_stream_sockets(postfix_postdrop_t)
+    sendmail_dontaudit_rw_unix_stream_sockets(postfix_postdrop_t)
 ')
 
 optional_policy(`
Comment 1 Daniel Walsh 2010-01-07 10:25:36 EST
I don't have a problem with that.  Not sure why the change was made.
Comment 2 Section1 2010-01-08 19:01:44 EST
I have same problem:

selinux-policy-2.4.6-255.el5_4.3
postfix-2.3.3-2.1.el5_2
mailx-8.1.1-44.2.2

If i disable SELinux works fine ...but if its enable i get:

# mail root
Subject: test
test
.
Cc: 
send-mail: warning: premature end-of-input on /usr/sbin/postdrop -r while reading input attribute name
send-mail: fatal: root(0): unable to execute /usr/sbin/postdrop -r: Success

and in audit.log i dont see any entry about this

Postfix work good with SELinux enabled i can receive and send mails with mail clients
Comment 3 Gabriel VLASIU 2010-01-09 06:03:18 EST
I also have the same problem:

postfix/sendmail[20232]: warning: premature end-of-input on /usr/sbin/postdrop -r while reading input attribute name
postfix/sendmail[20232]: fatal: gabriel(532): unable to execute /usr/sbin/postdrop -r: Success

I lost all mail forwarded with procmail.

Gabriel
Comment 4 Daniel Walsh 2010-01-09 08:50:44 EST
I have posted a fix for this in the duplicate.

*** This bug has been marked as a duplicate of bug 553492 ***

Note You need to log in before you can comment on or make changes to this bug.